Schlüsselübersicht
| Schlüsselversion | V4 |
|---|---|
| Spezifikation | RFC 2440 · RFC 4880 · RFC 9580 |
| Status | Kompatibel, aber durch RFC 9580 als veraltet eingestuft |
| Primärschlüssel (zertifizieren, signieren) | ECDSA secp256k1 · ID 19 · SHA-256 |
| Verschlüsselungsunterschlüssel | ECDH NIST P-256 · ID 18 |
| Fingerabdruck | E060726BC7DBB56FDF7753749EF00F97D46EF942 |
| Passphrase des privaten Schlüssels | synthetic-key-password |
Algorithmen und Verwendung
ECDSA secp256k1: Elliptische-Kurven-Signatur auf secp256k1, der von Bitcoin bekannten Kurve. Sie ist nicht im Kurvenregister von RFC 9580 enthalten: GnuPG unterstützt sie, während auf Sequoia basierende Software einschließlich des Keyservers keys2 sie ablehnt. Nur für Kompatibilität mit Systemen verwenden, die diese Kurve benötigen.
ECDH NIST P-256: Elliptischer Diffie-Hellman-Verschlüsselungsunterschlüssel auf NIST P-256.
Öffentlicher Schlüssel
Das öffentliche Zertifikat mit Primärschlüssel, Verschlüsselungsunterschlüssel und ihren Bindungssignaturen. Importieren Sie es, um Signaturen zu prüfen oder Daten für diese Testidentität zu verschlüsseln.
Herunterladen → 729 Bytes
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BzStDSC1KIG1hdHJpeCAy
NC12NC1lY2RzYS1zZWNwMjU2azErZWNkaC1wMjU2wowEExMIADQFAmr3hRkWIQTg
YHJrx9u1b993U3Se8A+X1G75QgIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEJ7w
D5fUbvlCGJABANI8j8owo0txl4g9tpZhOhdHHFzz0pSEzw5CNIaS5AaVAP4xfEjJ
tTglTIMbpA6DI0+kji/iQnKYiOp3Qr9CMPdfd85WBGr3hRkSCCqGSM49AwEHAgME
3MN8L40E2ij4iQkPrgyDHAqkaDw9whA7wgkVqGyLdQIPcL0EnkrnI/wcNyaoMiry
ZVy7v4pNN07aAIdp55ytowMBCAfCeAQYEwgAIAUCaveFGRYhBOBgcmvH27Vv33dT
dJ7wD5fUbvlCAhsMAAoJEJ7wD5fUbvlCu9YBAKbWWh8+WzankHgF3ulBFevOzy1o
ongUd4eutsTfqT6vAP4s7QQTTq5BHbTdJyzO45C6eAUS0hcCZABpqp/fQiiorg==
=SvoQ
-----END PGP PUBLIC KEY BLOCK-----
Privater Schlüssel
Der private Schlüssel, geschützt mit der oben angegebenen Passphrase. Nur zu Testzwecken veröffentlicht: Jeder kann ihn verwenden.
Herunterladen → 955 Bytes
Anzeigen
-----BEGIN PGP PRIVATE KEY BLOCK-----
xaIEaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2B/gkDCKkuw9HKHsAe4FVk
IkiB4nO4HwpV7MrbrxF8zaj4G+c7JRbgIFYSJtV9Cg+0qpW/UAwTWlPi8YXlW+q3
2FI49b4ufLcELD+V3McpFYS4bxjNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNl
Y3AyNTZrMStlY2RoLXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7w
D5fUbvlCAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyP
yjCjS3GXiD22lmE6F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SO
L+JCcpiI6ndCv0Iw9193x6kEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+u
DIMcCqRoPD3CEDvCCRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nn
nK2jAwEIB/4JAwjneAEVHacoqOCS7QG4BsCikL2tcagHHq9zXC4WEagXy8A7ZTKJ
LRTxhtAMUWa85RU1WvhLSlMNiuUQjkXjHEI5I87pWbE7L0YjHtmGpDtdwngEGBMI
ACAFAmr3hRkWIQTgYHJrx9u1b993U3Se8A+X1G75QgIbDAAKCRCe8A+X1G75QrvW
AQCm1lofPls2p5B4Bd7pQRXrzs8taKJ4FHeHrrbE36k+rwD+LO0EE06uQR203Scs
zuOQungFEtIXAmQAaaqf30IoqK4=
=mNF1
-----END PGP PRIVATE KEY BLOCK-----
Widerrufszertifikat
Ein vorab erzeugtes Widerrufszertifikat. Beim Import wird der Schlüssel als widerrufen markiert; es ist veröffentlicht, damit Sie den Umgang der Software mit widerrufenen Schlüsseln testen können.
Herunterladen → 888 Bytes
Anzeigen
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BwnUEIBMIAB0FAmr3hRkW
IQTgYHJrx9u1b993U3Se8A+X1G75QgAKCRCe8A+X1G75QoBhAP9Ncgf9U9MHZ9YN
XnRwGpB1lC0npRle8kPuWWdGUqCFcQD/awiSMYB7tVdVR4e8qKTJ9TGAI2/IobMF
hVWiXCpuoQrNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNlY3AyNTZrMStlY2Ro
LXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7wD5fUbvlCAhsDAh4B
AwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyPyjCjS3GXiD22lmE6
F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SOL+JCcpiI6ndCv0Iw
9193zlYEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+uDIMcCqRoPD3CEDvC
CRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nnnK2jAwEIB8J4BBgT
CAAgBQJq94UZFiEE4GBya8fbtW/fd1N0nvAPl9Ru+UICGwwACgkQnvAPl9Ru+UK7
1gEAptZaHz5bNqeQeAXe6UEV687PLWiieBR3h662xN+pPq8A/iztBBNOrkEdtN0n
LM7jkLp4BRLSFwJkAGmqn99CKKiu
=6HTy
-----END PGP PUBLIC KEY BLOCK-----
Signatur von test_1MB.bin
Abgetrennte Signatur von test_1MB.bin im ASCII-Armor-Format, mit diesem Schlüssel in CH-J Tools erstellt. Speichern Sie sie als test_1MB.bin.asc neben der Testdatei.
Herunterladen → 228 Bytes
-----BEGIN PGP SIGNATURE-----
wnUEABMIAB0WIQTgYHJrx9u1b993U3Se8A+X1G75QgUCaveO8gAKCRCe8A+X1G75
Qk/DAQCytQBaDvoMZd721uHplsmUhd2MXW937g2x9cRB0TsAngD+OD6A8zsSTCfO
kqQU+O6wL5NugSX6uLWmQKQ7ohzOkd4=
=bsx5
-----END PGP SIGNATURE-----
Signatur prüfen
Schlüssel der Version 4 funktionieren mit GnuPG und SOP-Werkzeugen wie sqop oder rsop, soweit die Algorithmen unterstützt werden. Verwenden Sie ein temporäres GNUPGHOME, damit der Testschlüssel nicht in Ihren echten Schlüsselbund gelangt:
gpg --import pgp-example-24-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin